section {
    position: relative;
    padding: 50px 0;
    z-index: 0;

    @media(min-width: $lg) {
        padding: 70px 0;
    }

    @media(min-width: $xl) {
        padding: 100px 0 120px;
    }
}


// Intro -------------------- 

// SLIDER -------------------- 
.sec-intro-slider {
    padding-bottom: 20px;
    padding-top: 80px;

    h1 {
        margin-bottom: 30px;
    }

    @media(min-width: $lg) {
        h1 {
            margin-bottom: 38px;
        }    
        .container {
            display: flex;
            align-items: center;
            position: relative;
            min-height: 470px;
        }
    }

    @media(min-width: $lg) {
        .container {
            min-height: 520px;
        }
    }
    @media(min-width: $xl) {
        .container {
            min-height: 570px;
        }
    }
}

.intro-slider__img {
    margin-bottom: 10px;
    img {
        display: block;
        max-width: 500px;
        width: 100%;
        height: auto;
    }
    @media(min-width: $sm) {
        img {
            width: 500px;
        }
    }
    @media(min-width: $md) {
        img {
            width: 530px;
        }
    }
    @media(min-width: $lg) {
        position: absolute;
        left: 54%;
        top: 50%;
        transform: translateY(-50%);
    }
    @media(min-width: $xl) {
        left: 50%;
        top: 67%;
        img {
            display: block;
            max-width: 820px;
            width: 820px;
        }
    }
}

.intro-slider__text {
    @media(min-width: $lg) {
        position: relative;
        width: 60%;
    }  
}

.intro-slider__text a {
    text-decoration: none;
}

.intro-slider__text h1 {
    line-height: 0.9em;
}


.intro-slider__heading {
    font-size: 80px;

}

// VIDEO -------------------- 
.sec-intro-video {
    position: relative;
    padding-top: 120px;
    z-index: 1;
    
    h1 {
        margin-bottom: 30px;
    }

    @media(min-width: $md) {
        padding-top: 160px;
    }
    @media(min-width: $xl) {
        padding-top: 200px;
    }
}

// Sec with vartical -------------------- 

.sec-v-card {
    position: relative;
    h2 {
        margin-bottom: 30px;
    }

    @media(min-width: $lg) {
        h2 {
            margin-bottom: 50px;
        }
    }

    @media(min-width: $xl) {
        padding: 110px 0 110px;
        h2 {
            margin-bottom: 60px;
        }
    }
}

.v-card {
    background: $gray;
    border-radius: 20px;
    padding: 26px 20px;
    height: 100%;
    display: block;
    text-decoration: none;
    h3 {
        margin-bottom: 16px;
    }

    &__img {
        margin-bottom: 16px;
        img {
            display: block;
            max-width: 100%;
            margin: 0 auto;
        }
    }

    @media(min-width: $xl) {
        padding: 30px;

        &__img {
            margin-bottom: 24px;
        }
    }
} 

.slogans-list {
    padding-left: 1em;
}

// Tech --------------------

.tech-card {
    margin-bottom: 50px;
    position: relative;

    &:last-child {
        margin-bottom: 0;  
    }

    p {
        margin: 0;
    }

    h3 {
        @include h2();
        margin-bottom: 10px;
    }


    &__img {
        display: block;
        margin-bottom: 20px;
    }

    @media(min-width: $lg) {
        margin-bottom: 70px;
        padding-left: 200px; 

        h3 {
            margin-bottom: 18px;
        }

        &__img {
            position: absolute;
            left: 0;
            top: 50%;
            transform: translateY(-45%);
        }
    }

    @media(min-width: $xl) {
        margin-bottom: 80px;
    }
}


// Use case --------------------

.sec-use {
    position: relative;
    padding: 50px 0;

    h2 {
        margin-bottom: 15px;
    }

    .col-6 {
        &:nth-child(2n+2) {
            .use__item {
                &:after {
                    display: none;
                }
            }
        }
    }

    @media(min-width: $md) {
        .col-6 {
            &:nth-child(3n+3) {
                .use__item {
                    &:after {
                        display: none;
                    }
                }
            }
            &:nth-child(2n+2) {
                .use__item {
                    &:after {
                        display: block;
                    }
                }
            }
        }
    }

    @media(min-width: $lg) {
        padding: 70px 0 70px;

        .col-6 {
            &:nth-child(3n+1) {
                .use__item {
                    margin-right: auto;
                    margin-left: 0;
                }
            }
            &:nth-child(3n+2) {
                .use__item {
                    margin-right: auto;
                    margin-left: auto;
                }
            }
    
            &:nth-child(3n+3) {
                .use__item {
                    margin-right: 0;
                    margin-left: auto;
                }
            }
        }
    }

    @media(min-width: $xl) {
        padding: 100px 0 110px;

        h2 {
            margin-bottom: 36px;
        }

        .col-6 {
            &:nth-child(4n+1) {
                .use__item {
                    margin-right: auto;
                    margin-left: 0;
                }
            }
            &:nth-child(4n+2),
            &:nth-child(4n+3) {
                .use__item {
                    margin-right: auto;
                    margin-left: auto;
                    &:after {
                        display: block;
                    }
                }
            }
            &:nth-child(4n+4) {
                .use__item {
                    margin-right: 0;
                    margin-left: auto;
                    &:after {
                        display: none;
                    }
                }
            }

            &:last-child {
                .use__item {
                    &:after {
                        display: none;
                    }
                }    
            }
        }
    }
}


.use__item {
    position: relative;
    text-align: center;
    margin: 0 0 30px;
    z-index: 1;

    .img {
        display: block;
        max-width: 100%;
        margin: 0 auto 15px;
        width: 120px;
        height: auto;
    }

    p {
        margin: 0;
        text-align: left;
        color: rgba(#fff, 0.8);
    }

    h3 {
        margin-bottom: 10px;
    }

    &:after {
        content: '';
        display: block;
        position: absolute;
        height: 50px;
        width: 186px;
        background-image: url($use-link);
        background-size: 100% auto;
        background-repeat: no-repeat;
        z-index: -1;
        top: 40px;
        left: 68%;
    }

    @media(min-width: $md) {
        &:after {
            height: 50px;
            width: 186px;
            left: 64%;
            top: 40px;
        }
    }

    @media(min-width: $lg) {
        max-width: 280px;
        font-size: 16px;
        line-height: 150%;
        margin: 0 0 60px;
        .img {
            margin-bottom: 20px;
            width: 212px;
            height: auto;
        }

        &:after {
            height: 71px;
            width: 270px;
            left: 82%;
            top: 76px;
        }
    }


    @media(min-width: $xl) {
        .img {
            margin-bottom: 25px;
        }
    }
}

.use__nav {
    margin: 0;
    padding: 0;
    list-style-type: none;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 50px;

    li {
        padding: 0 6px;
        flex-grow: 1;
        flex-basis: 0;
    }

    .btn {
        font-size: 16px;
        width: 100%;
        height: 45px;
        background: rgba(#fff, 0.1);
        color: rgba(#fff, 0.8);
        padding: 0 14px;

        &.active {
            background-color: $black;
            border: 1px solid $green1;
            color: $green1;
            position: relative;
            &::before {
                content: '';
                width: 0; 
                height: 0; 
                border-left: 8px solid transparent;
                border-right: 8px solid transparent;
                border-top: 10px solid $green1;
                display: block;
                position: absolute;
                top: 120%;
                left: 50%;
                margin-left: -7px;
                animation: up-n-down 0.5s ease-in-out alternate  infinite;
            }
        }
        &:not(.active):hover {
            background-color: $black;
            border: 1px solid #fff;
            color: #fff;
        }
    }

    @media(min-width: $lg) {
        margin-bottom: 96px;

        justify-content: flex-start;
        margin-left: -15px;

        li {
            flex-grow: 0;
            padding: 0 15px;
        }
        .btn {
            font-size: 18px;
            height: 55px;
            width: 184px;
        }
    }
}


// Logos with or without slider --------------------

.sec-logos {
    .col-auto {
        margin: 10px 0;
    }

    
    .swiper-media-button-next,
    .swiper-media-button-prev {
        position: absolute;
        right: -15px;
        padding: 10px 15px;
        top: 0;
        cursor: pointer;
        svg {
            display: block;
            width: 16px;
            opacity: 0.8;  
        }
        &:hover {
            svg {
                opacity: 1;  
            }
        }
        &.swiper-button-disabled {
            svg {
                opacity: 0.2 !important;
            }
            cursor: default;
        }
    }
    .swiper-media-button-prev {
        right: 46px;
    }

    @media(min-width: $lg) {
        .col-auto {
            margin: 20px 0;
        }
    }

}

.partner__logo {
    display: inline-block;
    position: relative;
    font-size: 0;
    line-height: 0;

    img {
        width: auto;
        display: block;
        height: 42px;
    }

    &:hover {
        &:after {
            opacity: 1;
        }
    }

    &:after {
        content: '';
        display: block;
        height: 100%;
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
        background-size: cover;
        opacity: 0;
        transition: opacity 0.3s ease;
    }

    &.logo-1:after {
        background-image: url($p-1);
    }
    &.logo-1:after {
        background-image: url($p-1);
    }
    &.logo-2:after {
        background-image: url($p-2);
    }
    &.logo-3:after {
        background-image: url($p-3);
    }
    &.logo-4:after {
        background-image: url($p-4);
    }
    &.logo-5:after {
        background-image: url($p-5);
    }
    &.logo-6:after {
        background-image: url($p-6);
    }
    &.logo-7:after {
        background-image: url($p-7);
    }
    &.logo-8:after {
        background-image: url($p-8);
    }
    &.logo-9:after {
        background-image: url($p-9);
    }
    &.logo-10:after {
        background-image: url($p-10);
    }
    &.logo-11:after {
        background-image: url($p-11);
    }
    &.logo-12:after {
        background-image: url($p-12);
    }
    &.logo-13:after {
        background-image: url($p-13);
    }
    &.logo-14:after {
        background-image: url($p-14);
    }
    &.logo-15:after {
        background-image: url($p-15);
    }
    &.logo-16:after {
        background-image: url($p-16);
    }
    &.logo-17:after {
        background-image: url($p-17);
    }
    &.logo-18:after {
        background-image: url($p-18);
    }
    &.logo-19:after {
        background-image: url($p-19);
    }

    &.logo-20:after {
        background-image: url($p-20);
    }
    &.logo-21:after {
        background-image: url($p-21);
    }
    &.logo-22:after {
        background-image: url($p-22);
    }
    &.logo-23:after {
        background-image: url($p-23);
    }
    &.logo-24:after {
        background-image: url($p-24);
    }
    &.logo-25:after {
        background-image: url($p-25);
    }

    &.logo-26:after {
        background-image: url($p-26);
    }
    &.logo-27:after {
        background-image: url($p-27);
    }
    &.logo-28:after {
        background-image: url($p-28);
    }
    /* &.logo-29:after {
        background-image: url($p-29); 
    } */
    &.logo-30:after {
        background-image: url($p-30);
    }
    /* &.logo-31:after {
        background-image: url($p-31); 
    } */
    &.logo-32:after {
        background-image: url($p-32);
    }
    &.logo-33:after {
        background-image: url($p-33);
    }
    &.logo-34:after {
        background-image: url($p-34);
    }
    &.logo-35:after {
        background-image: url($p-35);
    }
    &.logo-36:after {
        background-image: url($p-36);
    }
    &.logo-37:after {
        background-image: url($p-37);
    }
    &.logo-38:after {
        background-image: url($p-38);
    }
    &.logo-39:after {
        background-image: url($p-39);
    }
    &.logo-40:after {
        background-image: url($p-40);
    }
    &.logo-41:after {
        background-image: url($p-41);
    }
    &.logo-42:after {
        background-image: url($p-42);
    }
    &.logo-43:after {
        background-image: url($p-43);
    }
    &.logo-44:after {
        background-image: url($p-44);
    }
    &.logo-45:after {
        background-image: url($p-45);
    }
    &.logo-46:after {
        background-image: url($p-46);
    }
    &.logo-47:after {
        background-image: url($p-47);
    }
    @media(min-width: $lg) {
        img {
            height: 69px;
        }
    }
}


.media__logo {
    display: inline-block;
    position: relative;
    font-size: 0;
    line-height: 0;

    img {
        width: auto;
        display: block;
        height: 30px;
    }

    &:hover {
        &:after {
            opacity: 1;
        }
    }
    &:after {
        content: '';
        display: block;
        height: 100%;
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
        background-size: cover;
        opacity: 0;
        transition: opacity 0.3s ease;
    }

    &.logo-1:after {
        background-image: url($p-36);
    }
    @media(min-width: $lg) {
        img {
            height: 50px;
        }
    }
    &.logo-2:after {
        background-image: url($p-36);
    }
    @media(min-width: $lg) {
        img {
            height: 50px;
        }
    }
    &.logo-3:after {
        background-image: url($p-40);
    }
    @media(min-width: $lg) {
        img {
            height: 50px;
        }
    }
}


// Horizonal cards --------------------

.sec-h-cards {
    h2 {
        margin-bottom: 50px;
    }

    @media(min-width: $lg) {
        h2 {
            margin-bottom: 60px;
        }
    }
}

.h-card-group {
    margin-bottom: 40px;
    &:last-child {
        margin-bottom: 0;
    }
    &__title {
        display: inline-block;
        background: rgba(#fff, 0.2);
        font-weight: bold;
        margin-bottom: 20px;
        padding: 12px 16px 10px;
        font-size: 18px;
        border-radius: 10px;
        line-height: 1em;
    }
    @media(min-width: $xl) {
        margin-bottom: 80px;
    }
}

.h-card {
    position: relative;
    background: $gray;
    border-radius: 20px;
    padding: 30px 30px 40px;
    margin-bottom: 20px;
    z-index: 1;

    &__img {
        display: block;
        margin: 0 auto 32px;
    }

    h3 {
        @include text-20-24();
        margin-bottom: 1em;
    }

    p {
        margin: 0 0 1em;
        &:last-child {
            margin-bottom: 0;
        }
    }

    @media(min-width: $lg) {
        padding-left: 283px;
        min-height: 210px;
        display: flex;
        align-items: center;
        &__img {
            position: absolute;
            left: 30px;
            top: 50%;
            transform: translateY(-52%);
        }

    }

}

// Сontacts --------------------

.sec-contacts {
    h2 {
        margin-bottom: 20px;
    }

    @media(min-width: $lg) {
        h2 {
            margin-bottom: 30px;
        }
    }
}

.contacts__socials {
    margin-top: 60px;
    .socials {
        flex-wrap: wrap;
        margin-left: -6px;
        li {
            padding: 0 6px 12px;
            img {
                width: 35px;
                height: 35px;
            }
        }
    }

    @media(min-width: $xl) {
        margin-top: 100px;
        .socials li img {
            width: 40px;
            height: 40px;
        }
    }
}

//Colours

.first-color-card {
    background-color: #4AFEBF;
}
.second-color-card {
    background-color: #51EEDA;
}

.third-color-card {
    background-color: #1E2121;
}

.fourth-color-card {
    background-color: #141616;
    border: 1px solid;
}





.white-block .v-card {
    background-color: white;
    color: black;
}

.btn-transparent {
    background:transparent;
    border: 1px solid #4afebf;
    color: #4afebf;
}

.btn-transparent--white {
    background:transparent;
    border: 1px solid black;
    color: black;
    margin-top: 15px;
}

.v-card {
    display: flex;
    flex-direction: column;
    justify-content: end;
}

.v-card__img {
    width: 30%;
    margin-top: auto;
    margin-bottom: auto;
}

.v-card__img--mainIcon {
    width: 90%;
}

.v-card__img--verticalLogo {
    width: 53%;
}


.first-color-card p,
.second-color-card p {
    color: #141616;
}


.card-gradient {
    display: flex;
    justify-content: space-between;
    background: linear-gradient(to right,#51EEDA, #4AFEBF);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}